Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers.lists
Class JListMouseDriver

    java.lang.Object
      |
      +--org.netbeans.jemmy.drivers.LightSupportiveDriver
            |
            +--org.netbeans.jemmy.drivers.lists.JListMouseDriver

All Implemented Interfaces:
  LightDriver, ListDriver, MultiSelListDriver

public class JListMouseDriver
extends LightSupportiveDriver
implements MultiSelListDriver

List driver for javax.swing.JList component type.

Author:
  Alexandre Iline(alexandre.iline@sun.com)

Constructor Summary
`JListMouseDriver()` Constructs a JListMouseDriver.

Method Summary
`protected void` | `clickOnItem(JListOperator oper, int index)` Clicks on a list item.
`protected void` | `clickOnItem(JListOperator oper, int index, int modifiers)` Clicks on a list item.
`void` | `selectItem(ComponentOperator oper, int index)` Selects an item.
`void` | `selectItems(ComponentOperator oper, int[] indices)` Selects some items.

Methods inherited from class org.netbeans.jemmy.drivers.LightSupportiveDriver
`checkSupported, getSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JListMouseDriver

    public JListMouseDriver()

  Constructs a JListMouseDriver.

Method Detail

### selectItem

    public void selectItem(ComponentOperator oper,
                           int index)

  Description copied from interface: `ListDriver`
  Selects an item.
  Specified by:
    `selectItem` in interface `ListDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.ListDriver`
  Parameters:
    `oper` - List operator.
    `index` - Item index.

### selectItems

    public void selectItems(ComponentOperator oper,
                            int[] indices)

  Description copied from interface: `MultiSelListDriver`
  Selects some items.
  Specified by:
    `selectItems` in interface `MultiSelListDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.MultiSelListDriver`
  Parameters:
    `oper` - List operator.
    `indices` - Item indices.

### clickOnItem

    protected void clickOnItem(JListOperator oper,
                               int index)

  Clicks on a list item.
  Parameters:
    `oper` - an operator to click on.
    `index` - item index.

### clickOnItem

    protected void clickOnItem(JListOperator oper,
                               int index,
                               int modifiers)

  Clicks on a list item.
  Parameters:
    `oper` - an operator to click on.
    `index` - item index.
    `modifiers` - a combination of `InputEvent.*_MASK` fields.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD